# H/dist_vars.h File Reference

Global variables for Distance-Package. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | Postorder_list
struct | Tree
struct | swString
## Variables
int | edit_backtrack
| Produce an alignment of the two structures being compared by tracing the editing path giving the minimum distance.
char * | aligned_line [4]
| Contains the two aligned structures after a call to one of the distance functions with edit_backtrack set to 1.
int | cost_matrix
| Specify the cost matrix to be used for distance calculations.

## Detailed Description

Global variables for Distance-Package.

## Variable Documentation

int edit_backtrack

Produce an alignment of the two structures being compared by tracing the editing path giving the minimum distance.

set to 1 if you want backtracking

int cost_matrix

Specify the cost matrix to be used for distance calculations.

if 0, use the default cost matrix (upper matrix in example), otherwise use Shapiro's costs (lower matrix).